#include "subfiles/wavsubfile.h"

#include "EasyLogging++/easylogging++.h"

namespace LOTRO_DAT {
namespace Subfiles {

SubfileData Subfile<WAV>::BuildForExport(const BinaryData& file_data) {
    SubfileData result;
    result.binary_data = file_data.CutData(8);
    result.options["ext"] = ".wav";
    return result;
}

BinaryData Subfile<WAV>::BuildForImport(const BinaryData& old_data, const SubfileData& data) {
    return old_data.CutData(0, 24) + data.binary_data;
}

}; // namespace Subfiles
}; // namespace LOTRO_DAT